signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Macros
credentialsaccessmanager.cpp File Reference
`#include "credentialsaccessmanager.h"`
`#include "default-crypto-manager.h"`
`#include "default-key-authorizer.h"`
`#include "default-secrets-storage.h"`
`#include "signond-common.h"`
`#include "SignOn/ExtensionInterface"`
`#include "SignOn/misc.h"`
`#include <QFile>`
`#include <QBuffer>`
Include dependency graph for credentialsaccessmanager.cpp:

Go to the source code of this file.

## Macros
#define | SIGNON_ENABLE_UNSTABLE_APIS
#define | RETURN_IF_NOT_INITIALIZED(return_value)

## Macro Definition Documentation

#define RETURN_IF_NOT_INITIALIZED | ( |  | return_value | ) |

Value:
do { \
if (!m_isInitialized) { \
m_error = NotInitialized; \
TRACE() << "CredentialsAccessManager not initialized."; \
return return_value; \
} \
} while (0)
SignonDaemonNS::NotInitialized
Definition: credentialsaccessmanager.h:160
TRACE
#define TRACE()
Definition: debug.h:28

Definition at line 42 of file credentialsaccessmanager.cpp.

Referenced by SignonDaemonNS::CredentialsAccessManager::closeCredentialsSystem(), SignonDaemonNS::CredentialsAccessManager::credentialsDB(), SignonDaemonNS::CredentialsAccessManager::deleteCredentialsSystem(), and SignonDaemonNS::CredentialsAccessManager::openCredentialsSystem().

#define SIGNON_ENABLE_UNSTABLE_APIS

Definition at line 27 of file credentialsaccessmanager.cpp.